<template>
	<v-container>
		<div class="d-flex">
			<!-- avatar -->
			<div class="flex-grow-0">
				<v-avatar color="primary" :size="40" class="white--text">
					T
				</v-avatar>
			</div>
			<!-- text area -->
			<div class="flex-grow-1 ml-5">
				<v-textarea
					v-model="textarea"
					class="pa-0 text-h6"
					flat
					placeholder="What's happening?"
					auto-grow
					rows="1"
					solo
				></v-textarea>
				<!-- who can reply -->
				<v-menu max-width="300px" rounded="xl">
					<template v-slot:activator="{ on, attrs }">
						<v-hover v-slot="{ hover }">
							<div
								v-on="on"
								v-bind="attrs"
								class="who-can-reply px-2 py-1 mb-2 primary--text font-weight-bold"
								:class="hover && 'rounded-pill blue lighten-5'"
							>
								<v-icon color="primary">{{ icon }}</v-icon>
								{{ iconTitle }} can reply
							</div>
						</v-hover>
					</template>
                    <!-- list -->
                    <v-list>
                        <v-container>
                            <p class="font-weight-bold">Who can reply?</p>
                            <span class="text-subtitle-1">Choose who can reply to this Tweet. Anyone mentioned can always reply.</span>
                        </v-container>
                        <v-list-item v-for="item in whoCanReply" :key="item.icon" @click="choose(item)">
                            <v-list-item-icon>
                                <v-icon>{{ item.icon }}</v-icon>
                            </v-list-item-icon>
                            <v-list-item-title>{{ item.iconTitle }}</v-list-item-title>
                        </v-list-item>
                    </v-list>
				</v-menu>
				<v-divider class="my-3"></v-divider>
				<!-- buttons -->
				<div class="buttons d-flex justify-space-between">
                    <!-- symbol buttons -->
					<div>
						<IconwHover v-for="symbol in symbolButtons" :key="symbol.icon" :icon="symbol.icon" />
					</div>
                    <!-- tweet button -->
					<div>
						<v-btn @click="newTweetBtn" class="primary rounded-pill" :disabled="textarea === ''">Tweet</v-btn>
					</div>
				</div>
			</div>
		</div>
	</v-container>
</template>

<script>
import IconwHover from './IconwHover.vue';

export default {
	components: { IconwHover },
	data() {
		return {
			textarea: "",
			icon: "mdi-earth",
			iconTitle: "Everyone",
            whoCanReply: [
                { icon: "mdi-earth", iconTitle: "Everyone", },
                { icon: "mdi-account-multiple-check-outline", iconTitle: "People you follow", },
                { icon: "mdi-at", iconTitle: "Only people you mention", },
            ],
            symbolButtons: [
                { icon: 'mdi-picture-in-picture-top-right' },
                { icon: 'mdi-gif' },
                { icon: 'mdi-chart-box-outline' },
                { icon: 'mdi-emoticon-happy-outline' },
                { icon: 'mdi-calendar-clock-outline' },
            ]
		};
	},
    methods: {
        choose(item) {
            this.icon = item.icon
            this.iconTitle = item.iconTitle
        },
		newTweetBtn() {
			this.textarea = ""
			this.$emit('newTweetBtn')
		}
    }
};
</script>

<style scope>
.v-textarea {
	border: none;
}
.who-can-reply {
    width: max-content;
}
</style>